# Joseph Lee
# appModules/Time.py
# Based on search UI app module.
#A part of NonVisual Desktop Access (NVDA)
#Copyright (C) 2015 NV Access Limited
#This file is covered by the GNU General Public License.
#See the file COPYING for more details.
# Proof of concept for ticket #5231.

import appModuleHandler
import controlTypes
import api
import speech
from NVDAObjects.UIA import UIA

# Windows 10 time picker and other looping selector item support.
class LoopingSelectorItem(UIA):

	def event_UIA_elementSelected(self):
		speech.cancelSpeech()
		api.setNavigatorObject(self)
		self.reportFocus()

class AppModule(appModuleHandler.AppModule):

	def chooseNVDAObjectOverlayClasses(self,obj,clsList):
		if isinstance(obj,UIA) and obj.role==controlTypes.ROLE_LISTITEM and obj.UIAElement.cachedClassName == "LoopingSelectorItem":
			clsList.insert(0,LoopingSelectorItem)
